Overview | Modules | Class Hierarchy | Classes | Members

# tlp::MouseMagicSelector Class Reference
[Mouse_interactor]

`#include <MouseMagicSelector.h>`

Inherits tlp::InteractorComponent.

Inheritance diagram for tlp::MouseMagicSelector:

[legend]
Collaboration diagram for tlp::MouseMagicSelector:

[legend]
List of all members.

## Public Member Functions

- MouseMagicSelector ()
- ~MouseMagicSelector ()
- bool eventFilter (QObject *, QEvent *)
- InteractorComponent * clone ()

## Constructor & Destructor Documentation

tlp::MouseMagicSelector::MouseMagicSelector | ( |  | ) |

tlp::MouseMagicSelector::~MouseMagicSelector | ( |  | ) | `[inline]`

## Member Function Documentation

InteractorComponent* tlp::MouseMagicSelector::clone | ( |  | ) | `[inline, virtual]`

| Clone this interactor component Implements tlp::InteractorComponent.

bool tlp::MouseMagicSelector::eventFilter | ( | QObject * | ,
|  | QEvent * |
| ) |

Tulip Software by LaBRI Visualization Team 2001 - 2010